enum
{
	WEAPON_PRIMARY = 1,
	WEAPON_SECONDARY,
	WEAPON_MELEE
}

/* Weapon name, Weapon type (ex WPN_PRIMARY), cost (ex 16000) */
native unlock_register_weapon(const Name[], weapon_type, unlock_cost);
forward wpn_selected_pre(id, weaponid);
forward wpn_selected_post(id, weaponid);
forward delete_weapon(id, weaponid);